当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : intel集显和ATI6470显卡驱动安装问题,求指导
帖子发表于 : 2013-03-11 23:35 

注册: 2012-12-21 22:13
帖子: 26
送出感谢: 1
接收感谢: 0 次
在论坛上找的如下方法
sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*
安装闭源前准备的库(这个时间比较久):

sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases linux-headers-generic

如果你安装的是64位的ubuntu,请安装32位库(这个时间更久一点):
sudo apt-get install ia32-libs
64位 驱动内核模块:
sudo apt-get install dkms
下面是在http://ubuntuforums.org/showthread.php?t=1969827看的方法
sudo apt-get install build-essential cdbs dh-make dkms execstack dh-modaliases fakeroot
cd ~/; mkdir catalyst12.4; cd catalyst12.4/
wget http://www2.ati.com/drivers/linux/amd-d ... x86_64.run
chmod +x amd-driver-installer-12-4-x86.x86_64.run
./amd-driver-installer-12-4-x86.x86_64.run --extract driver
cd driver/common/lib/modules/fglrx/build_mod/
wget -O fglrx.patch http://ubuntuone.com/5gNgEmVfzs3ytD5QZ2YGCi
patch -p1 < fglrx.patch
cd ~/catalyst12.4/driver/
./ati-installer.sh 8.961 --buildpkg Ubuntu/precise
cd ../
安装生成的包:
sudo dpkg -i fglrx*.deb
生成配置文件:
sudo aticonfig --initial -f
防止配置未生效:
sudo aticonfig --input=/etc/X11/xorg.conf --tls=1
重启。
检查是否成功:
fglrxinfo



运行./amd-driver-installer-12-4-x86.x86_64.run --extract driver
Verifying archive integrity... All good.
Uncompressing AMD Catalyst(TM) Proprietary Driver-8.961.....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................


运行./ati-installer.sh 8.961 --buildpkg Ubuntu/precise
=====================================================================
AMD Catalyst(TM) Proprietary Driver Installer/Packager
=====================================================================
Generating package: Ubuntu/precise
Package /home/zhangjq/catalyst12.4/fglrx_8.961-0ubuntu1_amd64.deb has been successfully generated
Package /home/zhangjq/catalyst12.4/fglrx-dev_8.961-0ubuntu1_amd64.deb has been successfully generated
Package /home/zhangjq/catalyst12.4/fglrx-amdcccle_8.961-0ubuntu1_amd64.deb has been successfully generated
运行sudo dpkg -i fglrx*.deb
正在设置 fglrx (2:8.961-0ubuntu1) ...
update-alternatives: 警告: 链接组 x86_64-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl32.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (位于链接组 x86_64-linux-gnu_gl_conf)不存在。
update-alternatives: 警告: 链接组 x86_64-linux-gnu_gl_conf 已损坏,故强制重新安装候选项 /usr/lib/fglrx/ld.so.confs
update-alternatives: 警告: 跳过创建 /etc/OpenCL/vendors/amdocl32.icd 因为所关联文件 /usr/lib/fglrx/etc/OpenCL/vendors/amdocl32.icd (位于链接组 x86_64-linux-gnu_gl_conf)不存在。
update-initramfs: deferring update (trigger activated)
Loading new fglrx-8.961 DKMS files...
Building only for 3.5.0-25-generic
Building for architecture x86_64
Building initial module for 3.5.0-25-generic
Error! Bad return status for module build on kernel: 3.5.0-25-generic (x86_64)
Consult /var/lib/dkms/fglrx/8.961/build/make.log for more information.
update-initramfs: deferring update (trigger activated)
正在处理用于 ureadahead 的触发器...
ureadahead will be reprofiled on next reboot
正在处理用于 bamfdaemon 的触发器...
Rebuilding /usr/share/applications/bamf.index...
正在设置 fglrx-amdcccle (2:8.961-0ubuntu1) ...
正在设置 fglrx-dev (2:8.961-0ubuntu1) ...
正在处理用于 initramfs-tools 的触发器...
update-initramfs: Generating /boot/initrd.img-3.5.0-25-generic
正在处理用于 libc-bin 的

重启出现:The system is runing in low-graphics mode

请问问题出在那一部


页首
 用户资料  
 
2 楼 
 文章标题 : Re: intel集显和ATI6470显卡驱动安装问题,求指导
帖子发表于 : 2013-03-12 11:17 
头像

注册: 2009-07-09 10:27
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
我也是相同的问题,导致我现在不怎么敢装显卡驱动了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译